# gcp::ModifyOperation Class Reference

`#include <gcp/operation.h>`

Inheritance diagram for gcp::ModifyOperation:

List of all members.

## Public Member Functions

| ModifyOperation (gcp::Document *pDoc, unsigned long ID)
void | Undo ()
void | Redo ()

## Detailed Description

Operation class representing objects modifications.

Definition at line 208 of file operation.h.

## Constructor & Destructor Documentation

gcp::ModifyOperation::ModifyOperation | ( | gcp::Document * | pDoc,
|  | unsigned long | ID |
| ) |  |  |

Parameters:

  | pDoc | a document.
  | ID | a unique operation ID for the document and the session.

Creates a new ModifyOperation. Operations should always created by calls to Document::GetNewOperation().

## Member Function Documentation

void gcp::ModifyOperation::Undo | ( |  | ) | `[virtual]`

Undo the modifications represented by this operation.

Implements gcp::Operation.

void gcp::ModifyOperation::Redo | ( |  | ) | `[virtual]`

Redo the modifications represented by this operation.

Implements gcp::Operation.

The documentation for this class was generated from the following file:

- operation.h